Subject: Re: [PATCH] ASoC drivers for the Freescale MPC8610 SoC

From: Timur Tabi <[email-masked]>
Date: Thu, 20 Dec 2007 16:37:39 -0600

Olof Johansson wrote:

>> I was just following the example from another board file.  However, the 'soc' 
>> node in the device tree does not have a compatible property, so I don't how to 
>> change this.
> 
> Then add an appropriate compatible entry to it, please.

None of the SOC nodes in any DTS have a "compatible" entry.  I understand the 
issue, but you're asking me to fix a larger problem, one that is beyond the 
scope of this patch.  You're saying that *all* SOC needs are incorrectly defined 
and need to be probed differently.

-- 
Timur Tabi
Linux kernel developer at Freescale